RefreshToken
curl --request POST \
--url https://sdk.anghami.com/v1/auth/token/refresh \
--header 'Content-Type: application/json' \
--data '
{
"refreshToken": "<string>",
"clientId": "<string>"
}
'import requests
url = "https://sdk.anghami.com/v1/auth/token/refresh"
payload = {
"refreshToken": "<string>",
"clientId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({refreshToken: '<string>', clientId: '<string>'})
};
fetch('https://sdk.anghami.com/v1/auth/token/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": {
"accessToken": "<string>",
"tokenType": "<string>",
"expiresIn": 123,
"refreshToken": "<string>",
"scopes": [
"AUTH_SCOPE_UNSPECIFIED"
]
}
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"message": "<string>"
}AuthService
RefreshToken
RefreshToken obtains a new access token using a refresh token. The refresh token may be rotated — always use the latest refresh token.
POST
/
v1
/
auth
/
token
/
refresh
RefreshToken
Body
application/json
Response
Successful response
RefreshTokenResponse is the response message containing the new access token.
TokenInfo contains the OAuth 2.0 token response fields. Returned by ExchangeToken and RefreshToken RPCs.
Show child attributes
Show child attributes